Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.framework.service
Class CardRemoteObject

    java.lang.Object
      javacard.framework.service.CardRemoteObject

All Implemented Interfaces:
  Remote

    public class CardRemoteObject

extends Object
implements Remote

Constructor Summary
`CardRemoteObject()`

Method Summary
`static void` | `export(Remote obj)`
`static void` | `unexport(Remote obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CardRemoteObject

    public CardRemoteObject()

Method Detail

### export

    public static void export(Remote obj)
                       throws SecurityException

  Throws:
    `SecurityException`

### unexport

    public static void unexport(Remote obj)
                         throws SecurityException

  Throws:
    `SecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD